Loading...
Searching...
No Matches
OpenMesh::Utils::Timer Class Reference

Timer class. More...

`#include <OpenMesh/Tools/Utils/Timer.hh>`

## Public Types

enum | Format { Automatic , Long , Hours , Minutes , Seconds , HSeconds , MSeconds , MicroSeconds , NanoSeconds }
| Formatting options for member Timer::as_string()

## Public Member Functions

| Timer (const Timer &_other)=delete
| Make the timer non copyable.
Timer & | operator= (const Timer &)=delete
| Make the timer non copyable.
bool | is_valid () const
| Returns true if self is in a valid state!
bool | is_stopped () const
void | reset (void)
| Reset the timer.
void | start (void)
| Start measurement.
void | stop (void)
| Stop measurement.
void | cont (void)
| Continue measurement.
float | resolution () const
| Give resolution of timer. Depends on the underlying measurement method.
double | seconds (void) const
| Returns measured time in seconds, if the timer is in state 'Stopped'.
double | hseconds (void) const
| Returns measured time in hundredth seconds, if the timer is in state 'Stopped'.
double | mseconds (void) const
| Returns measured time in milli seconds, if the timer is in state 'Stopped'.
double | useconds (void) const
| Returns measured time in micro seconds, if the timer is in state 'Stopped'.
std::string | as_string (Format format=Automatic)
| Returns the measured time as a string.
bool | operator< (const Timer &t2) const
| Compare timer values.
bool | operator> (const Timer &t2) const
bool | operator== (const Timer &t2) const
bool | operator<= (const Timer &t2) const
bool | operator>= (const Timer &t2) const

## Static Public Member Functions

static std::string | as_string (double seconds, Format format=Automatic)
| Returns a given measured time as a string.

## Protected Types

enum | { Invalid = -1 , Stopped = 0 , Running = 1 }

## Protected Attributes

TimerImpl * | impl_
enum OpenMesh::Utils::Timer:: { ... } | state_

## Related Symbols

(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &_o, const Timer &_t)
| Write seconds to output stream.

## Detailed Description

Timer class.

## Member Function Documentation

## as_string() [1/2]

static std::string OpenMesh::Utils::Timer::as_string | ( | double | seconds,
|  | Format | format = `Automatic`
| ) |  |

static

Returns a given measured time as a string.

Use the format flags to specify a wanted resolution.

## as_string() [2/2]

std::string OpenMesh::Utils::Timer::as_string | ( | Format | format = `Automatic` | ) |

Returns the measured time as a string.

Use the format flags to specify a wanted resolution.

## Friends And Related Symbol Documentation

## operator<<()

std::ostream & operator<< | ( | std::ostream & | _o,
|  | const Timer & | _t
| ) |  |

related

Write seconds to output stream.

Timer must be stopped before.

The documentation for this class was generated from the following file:

- OpenMesh/Tools/Utils/Timer.hh